Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java	(revision 3445)
@@ -33,6 +33,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.utils.logger.Log;
 
@@ -57,7 +58,7 @@
 		//System.out.println("CloneTXMResult.execute() selection class: " + selection);
 
 		if (!(selection.getFirstElement() instanceof TXMResult))	{
-			System.out.println("Only TXMResult can be cloned");
+			System.out.println(TXMUIMessages.OnlyATXMResultCanBeCloned);
 			return super.logCanNotExecuteCommand(selection);
 		}
 
@@ -65,7 +66,7 @@
 
 		TXMResult parent = srcNode.getParent();
 		if (srcNode.isAltered()) {
-			Log.info("Warning: only parameters are cloned, manual changes are not transfered.");
+			Log.info(TXMUIMessages.WarningOnlyParametersAreClonedManualChangesAreNotTransfered);
 		}
 		srcNode.clone();
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 3445)
@@ -83,7 +83,7 @@
 			return null;
 		}
 		
-		JobHandler job = new JobHandler("Deleting", true) {
+		JobHandler job = new JobHandler(TXMUIMessages.Deleting, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -157,7 +157,7 @@
 				List<Object> deleted = delete(object);
 				deletedObjects.addAll(deleted);
 				if (deleted.size() == 0) {
-					StatusLine.setMessage(TXMUIMessages.errorColonDeleteReturnedFalse + " : " + object);
+					StatusLine.setMessage(TXMUIMessages.errorColonDeleteReturnedFalse + " : " + object); //$NON-NLS-1$
 					return new HashSet<>();
 				}
 				// remove results already deleted
@@ -242,7 +242,7 @@
 			}
 		}
 		else {
-			Log.severe(TXMCoreMessages.bind("Can not delete: {0}.", object));
+			Log.severe(TXMCoreMessages.bind(TXMUIMessages.CanNotDeleteP0, object));
 		}
 		
 		return deleted;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 3445)
@@ -61,7 +61,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		//get scripts dir
-		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
+		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 		boolean useSavedValue = true; // if a file/folder is selected, dont use the saved value
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 3445)
@@ -99,7 +99,7 @@
 			IWorkbenchPage page = window.getActivePage();
 
 			String ID = null;
-			if (file.getName().toLowerCase().endsWith(".xml")) {
+			if (file.getName().toLowerCase().endsWith(".xml")) { //$NON-NLS-1$
 				ID = "org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart"; //$NON-NLS-1$
 			} else {
 				ID = TxtEditor.ID;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java	(revision 3445)
@@ -12,6 +12,7 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.osgi.util.NLS;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.DownloadJobHandler;
 import org.txm.utils.logger.Log;
 
@@ -43,13 +44,13 @@
 				final int contentLength = connection.getContentLength(); 
 
 				if (contentLength == -1) {
-					System.out.println("Could not get file size");
+					System.out.println("Could not get file size"); //$NON-NLS-1$
 				} else {
 					done = false;
 
-					System.out.print(NLS.bind("Downloading {0} file...", url));
+					System.out.print(NLS.bind(TXMUIMessages.DownloadFileFromP0, url));
 					
-					DownloadJobHandler job = new DownloadJobHandler("Download "+url, url, outfile, contentLength, done);
+					DownloadJobHandler job = new DownloadJobHandler(TXMUIMessages.DownloadP0+url, url, outfile, contentLength, done);
 					job.setUser(true);
 					job.schedule();	
 					
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 3445)
@@ -106,7 +106,7 @@
 				// check clipboard content
 				String[] paths = IOClipboard.readFiles();
 				if (paths == null) return;
-				System.out.println("Coping files: "+StringUtils.join(Arrays.asList(paths), ", "));
+				System.out.println(TXMUIMessages.CopingFilesP0+StringUtils.join(Arrays.asList(paths), ", ")); //$NON-NLS-2$
 				for (String path : paths) {
 					File source = new File(path);
 					dest = new File(folder, source.getName());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java	(revision 3445)
@@ -47,6 +47,7 @@
 import org.eclipse.ui.ide.FileStoreEditorInput;
 import org.txm.Toolbox;
 import org.txm.rcp.editors.TxtEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.logger.Log;
 
@@ -79,11 +80,11 @@
 		}
 
 		if (file == null) {
-			System.out.println("Selection has no file. Aborting.");
+			System.out.println(TXMUIMessages.SelectionHasNoFileAborting);
 			return null;
 		} else {
 			if (file.isDirectory()) {
-				System.out.println("Selected file is a directory. Aborting.");
+				System.out.println(TXMUIMessages.TheSelectedFileIsADirectory);
 				return null;
 			} else {
 				openfile(file.getAbsolutePath());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosCorporaMenuContribution.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosCorporaMenuContribution.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosCorporaMenuContribution.java	(revision 3445)
@@ -19,6 +19,6 @@
 		String w = Toolbox.getTxmHomePath();
 		if (w == null || w.length() == 0) return null;
 
-		return new File(w, "scripts/groovy/user/org/txm/macro/ui/menu/window");
+		return new File(w, "scripts/groovy/user/org/txm/macro/ui/menu/window"); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosEditorMenuContribution.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosEditorMenuContribution.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosEditorMenuContribution.java	(revision 3445)
@@ -19,6 +19,6 @@
 		String w = Toolbox.getTxmHomePath();
 		if (w == null || w.length() == 0) return null;
 
-		return new File(w, "scripts/groovy/user/org/txm/macro/ui/menu/object");
+		return new File(w, "scripts/groovy/user/org/txm/macro/ui/menu/object"); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 3445)
@@ -19,6 +19,7 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyMacro;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.utils.logger.Log;
 
@@ -56,7 +57,7 @@
 		String w = Toolbox.getTxmHomePath();
 		if (w == null || w.length() == 0) return null;
 		
-		return new File(w, "scripts/groovy/user/org/txm/macro/");
+		return new File(w, "scripts/groovy/user/org/txm/macro/"); //$NON-NLS-1$
 	}
 	
 	public void onOpen(Menu menu, int index) {
@@ -75,11 +76,11 @@
 			}
 			
 			MenuItem menuItem = new MenuItem(menu, SWT.CHECK, index);
-			menuItem.setText("<no macro>");
+			menuItem.setText("<no macro>"); //$NON-NLS-1$
 			menuItem.addSelectionListener(new SelectionAdapter() {
 				public void widgetSelected(SelectionEvent e) {
-					File dir = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/"+getId().replace(".", "/"));
-					Log.info(NLS.bind("To populate this menu, you must create macros in the '{0}' macro directory.", dir));
+					File dir = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/"+getId().replace(".", "/")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					Log.info(NLS.bind(TXMUIMessages.ToPopulateTthisMenuCreateMacrosInTheP0MacroDirectory, dir));
 				}
 			});
 			return;
@@ -118,12 +119,12 @@
 			
 		});
 		for (File f : files) {
-			if (f.getName().endsWith("Macro.groovy")) {
+			if (f.getName().endsWith("Macro.groovy")) { //$NON-NLS-1$
 				MenuItem menuItem = new MenuItem(menu, SWT.PUSH);
 				String name = f.getName().substring(0, f.getName().length()-12);
-				name = name.replaceAll("([0-9]++)", " $1 ");
-				name = name.replaceAll("(To)", " To ");
-				name = name.replaceAll("([A-Z]++)([^A-Z])", " $1$2");
+				name = name.replaceAll("([0-9]++)", " $1 "); //$NON-NLS-1$ //$NON-NLS-2$
+				name = name.replaceAll("(To)", " To "); //$NON-NLS-1$ //$NON-NLS-2$
+				name = name.replaceAll("([A-Z]++)([^A-Z])", " $1$2"); //$NON-NLS-1$ //$NON-NLS-2$
 				
 				menuItem.setText(name);
 				menuItem.setImage(IImageKeys.getImage(IImageKeys.SCRIPT_RUN));
@@ -150,7 +151,7 @@
 		public void widgetSelected(SelectionEvent e) {
 			IWorkbenchWindow acWindow = TXMWindows.getActiveWindow();
 			IWorkbenchPart page = acWindow.getActivePage().getActivePart();
-			ExecuteGroovyMacro.execute(macro.getAbsolutePath(), page, CorporaView.getInstance().getTreeViewer().getSelection(), "", null, null);
+			ExecuteGroovyMacro.execute(macro.getAbsolutePath(), page, CorporaView.getInstance().getTreeViewer().getSelection(), "", null, null); //$NON-NLS-1$
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3445)
@@ -15,16 +15,50 @@
 	public static String theP0directoryNotABinaryCorpus;
 	
 	public static String P0CorpusLoaded;
+
+	public static String P0ResultsImportedFromTheP1File;
 	
 	public static String EMPTY;
+
+	public static String EmptyPropertyValuecode;
+
+	public static String EnableCollapsibleMetadata;
+
+	public static String EnterTheNewNameToShowInTheCorpusView;
+
+	public static String ErrorCantUpdateTheCorpusNoTXMDirectoryFoundP0;
+
+	public static String ErrorCantUpdateTheCorpusNoTXTSlashP0DirectoryFoundP1;
+
+	public static String ErrorCantUpdateTheCorpusNoXMLFilesFoundInP0;
+
+	public static String ErrorNoProjectLoaded;
+
+	public static String ErrorTheAvailablePropertiesListIsNULL;
+
+	public static String ErrorWhileSavingParameters;
 	
+	public static String ExecuteRTextSelectionNotImplemented;
+
 	public static String Explorer_4;
 	
 	public static String Explorer_5;
 	
 	public static String Explorer_7;
 	
+	public static String ExportResultParameters_ParametersExportedToTheP0File;
+
+	public static String ExportResultParameters_WarningOnlyTheParametersAreExportedManualChangesAreNotTransfered;
+
+	public static String FailedToLoadTheP0Corpus;
+
+	public static String FailedToOpenTheEditorNoContextGiven;
+
 	public static String FileTreeContentProvider_4;
+
+	public static String ForceUpdateOfNonModifiedTexts;
+
+	public static String Forward;
 	
 	public static String _1;
 	
@@ -1088,6 +1122,90 @@
 	
 	public static String seeTheQuoteSectionIn;
 	
+	public static String TheAnnotateImportParameterHasBeenActivatedSinceTreeTaggerIsInstalled;
+
+	public static String TheAnnotateImportParameterWasNotActivatedSinceTreeTaggerIsNotInstalled;
+
+	public static String TheCorpushasBeenDeletedSincePleaseReOpenTheImportForm;
+
+	public static String TheCorpusSourceDirectory;
+
+	public static String TheDownloadedFileIsNotATXMCorpus;
+
+	public static String TheExportedObjectIsNotATXMResultResult;
+
+	public static String TheP0ArchiveIsNotATXMCorpus;
+
+	public static String ThereIsNotEnoughPercentMarksInP0ForTheP1Properties;
+
+	public static String TheSelectedFileIsADirectory;
+
+	public static String TheSourceDirectoryContainsTheSourcesFilesReadByTheImportModule;
+
+	public static String ThisWillRestartTXM;
+
+	public static String ToPopulateTthisMenuCreateMacrosInTheP0MacroDirectory;
+
+	public static String Transcriptions;
+
+	public static String OpenTestEditor_0;
+
+	public static String WarningNoTXMDirectoryP0;
+
+	public static String WarningNoXMLTXMFilesDirectoryP0;
+
+	public static String WarningOnlyParametersAreClonedManualChangesAreNotTransfered;
+
+	public static String WarningYouNeedAdministratorPrivilegesToFullyUpdateTXM;
+
+	public static String XMLTXMFilesExportedInP0;
+	
+	public static String CrashLogsDirectory;
+
+	public static String CreatePagesForSections;
+	
+	public static String IfNotCheckedTheEditionPagesAreNotUpdatedAndMightNotReflectThechanges;
+
+	public static String ImageDirectory;
+
+	public static String IndexInterviewerSpeech;
+
+	public static String IndexTranscriberTranscriptionMetadata;
+
+	public static String InstallationDirectory;
+	
+	public static String InstanceConfigurationDirectory;
+	
+	public static String InstanceConfigurationFile;
+	
+	public static String LogsDirectory;
+	
+	public static String Open;
+
+	public static String OpenEtc;
+
+	public static String OpeningCredentialDialog;
+
+	public static String OpeningTheP0Corpus;
+	
+	public static String OpenTheSelectedPathWithTheDefaultToolSetByTheSystem;
+
+	public static String Options;
+	
+	public static String Paginate;
+
+	public static String Paths;
+
+	public static String Properties;
+	
+	public static String TXMCommonPathListClickOnTheOpenButtonEtc;
+	
+	public static String TXMPaths;
+	
+	public static String TXMUserHomeDirectory;
+	
+	public static String What;
+	
 	public static String TRSSection_0;
 
 	public static String TRSSection_1;
@@ -1117,6 +1235,12 @@
 	public static String TXMUserDirectoryIsSetToP0ButTXMCantCdInThisDirectory;
 	
 	public static String TXMUserDirectoryIsSetToP0ButTXMCantWriteInThisDirectory;
+
+	public static String TXMWasNotCorrectlyStopped;
+
+	public static String TXMWasNotRestartedNormally;
+
+	public static String TXTStartingError;
 	
 	public static String selectWorkingDirectory;
 	
@@ -1146,6 +1270,34 @@
 	
 	public static String loginToP0;
 	
+	public static String SelectADirectory;
+
+	public static String SelectionHasNoFileAborting;
+
+	public static String SelectionMustBeACorpusAborting;
+
+	public static String SelectionP0MustBeAcorpusAborting0;
+
+	public static String SelectTheImportLanguageToUse;
+
+	public static String SelectTheSourceDirectory;
+
+	public static String ShowADialogBoxWhenASevereErrorOccurs;
+
+	public static String ShowMoreUpdateParametersBeforeUpdating;
+
+	public static String SomeAnnotationsAreNotSaved;
+
+	public static String SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed;
+
+	public static String SomeFieldsAreNotCorrectlyFilled;
+
+	public static String SomeResultHaveBeenMannuallyModified;
+
+	public static String SomeResultHaveBeenManuallyModified;
+
+	public static String SourceDirectory;
+
 	public static String SourceDirectoryPage_0;
 	
 	public static String SourceDirectoryPage_1;
@@ -1169,11 +1321,107 @@
 	public static String SourceDirectoryPage_6;
 	
 	public static String SourceDirectoryPage_8;
+
+	public static String Sources;
+
+	public static String StartCorpusUpdate;
+
+	public static String Structures;
 	
 	public static String updateWarning;
 	
 	public static String abortingWindowsUpdate;
+
+	public static String AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue;
+
+	public static String AnImportDotXMLImportConfigurationFileWasFoundRestoringImportParametersUsingThisfile;
+
+	public static String AnnotationsEngines;
+
+	public static String AskTheLanguageWhenImportingFromAClipboard;
+
+	public static String AutomaticallyUpdateSubResults;
+
+	public static String AvailableSourceFilesEncodingCodeOnlyMostUsedAreShown;
+
+	public static String Back;
+
+	public static String BuildFacsEdition;
+
+	public static String BuildWordIdentifiers;
+
+	public static String Cancel;
+
+	public static String CancelCredentialSettings;
+
+	public static String CanNotDeleteP0;
+
+	public static String ChangingTheWorkingDirectory;
+
+	public static String ClickToSelectTheCorpusSourceDirectory;
+
+	public static String Closing;
+
+	public static String ClosingTheP0Corpus;
+
+	public static String CommonSourcesLangOfTreeTaggerModels;
+
+	public static String CompilingP0Etc;
+
+	public static String ContinueAndLostTheUnsavedAnnotations;
+
+	public static String ConvertingEtc;
+
+	public static String CopingFilesP0;
+
+	public static String Copy;
+
+	public static String CouldNotAddTheDefaultExtensionRepository;
+
+	public static String CouldNotAddTheDefaultUpdateRepository;
+
+	public static String CouldNotAddTheP0ExtensionsUpdateRepositoryP1;
+
+	public static String CouldNotAddTheP0UpdateRepositoryP1;
+
+	public static String CouldNotCreateTheGrrovyScriptEngineAborting;
+
+	public static String CouldNotLoadThecorpusFromtheP0DirectoryP1;
+
+	public static String CouldNotUpdateTXMP0;
+
+	public static String CQPStructurePropertiesProjection;
+
+	public static String DashImportedByP0;
+
+	public static String DefaultEdition;
+
+	public static String Deleting;
+
+	public static String Done;
+
+	public static String DoneP0;
+
+	public static String DontAskAgain;
+
+	public static String DownloadFileFromP0;
+
+	public static String DownloadP0;
+
+	public static String DoYouWantToStartADiagnosticOfYourCorporaEtc;
+
+	public static String NoCommandFoundWithNameP0;
+
+	public static String NoCopiedTextAborting;
+
+	public static String NoGroovyEntryPointScriptSelectedAborted;
 	
+	public static String Note;
+
+	public static String NoteElements;
+
+	public static String NoteElementsThatEncodePonctualNotes;
+
 	public static String pattern;
 
 	public static String performWordSegmentationWithinWord;
@@ -1184,6 +1432,54 @@
 
 	public static String tabulation;
 	public static String nothing;
+
+	public static String OK;
+
+	public static String OKOpenTheDiagnosticFile;
+
+	public static String OnlyATXMResultCanBeCloned;
+
+	public static String Reload;
+
+	public static String RemoveTemporarydirectories;
+
+	public static String RenameP0;
+
+	public static String RestartingTXM;
+
+	public static String UpdateCorpus;
+
+	public static String UpdateEditionsWhenUpdatingACorpus;
+
+	public static String UpdateP0P1Import;
+
+	public static String UpdateParametersForTheP0ImportModule;
+
+	public static String UpdateSiteAddress;
+
+	public static String UpdateSiteIsNotReachableP0P1Aborting;
+
+	public static String UpdateTheCorpusFromItsXMLTXMFiles;
+
+	public static String UpdateTheEditionPages;
+
+	public static String UpdateTheP0CorpusUsingP1;
+
+	public static String UseThisToChangeTheCorpusParametersBeforeUpdatingTheCorpus;
+
+	public static String WaitForAllJobsToEndAndRetry;
+
+	public static String WhatLanguageMustBeUsedToImportTheClipboardContent;
+
+	public static String WhenCheckedThisOptionMakeTXMUpdateAllIndexesAndEditionsOfAllTexts;
+
+	public static String Words;
+
+	public static String WorkspacePathCouldNotBeFound;
+
+	public static String YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties;
+
+	public static String YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java	(revision 3445)
@@ -24,7 +24,7 @@
 		Field field;
 		try {
 			Class<?> clazz = this.getClass().getSuperclass();
-			field = clazz.getDeclaredField("fCombo");
+			field = clazz.getDeclaredField("fCombo"); //$NON-NLS-1$
 			field.setAccessible(true);
 			Combo fCombo = (Combo) field.get(this);
 			return fCombo.getText();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/AbstractNotificationPopup.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/AbstractNotificationPopup.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/AbstractNotificationPopup.java	(revision 3445)
@@ -27,6 +27,7 @@
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Monitor;
 import org.eclipse.swt.widgets.Shell;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * A popup window with a title bar and message area for displaying notifications.
@@ -60,7 +61,7 @@
 
 	private Image lastUsedBgImage;
 
-	private final Job closeJob = new Job("Closing") {
+	private final Job closeJob = new Job(TXMUIMessages.Closing) {
 
 		@Override
 		protected IStatus run(IProgressMonitor monitor) {
@@ -127,7 +128,7 @@
 	 * @return the name to be used in the title of the popup.
 	 */
 	protected String getPopupShellTitle() {
-		return "TXM";
+		return "TXM"; //$NON-NLS-1$
 	}
 
 	protected Image getPopupShellImage(int maximumHeight) {
@@ -160,7 +161,7 @@
 		titleTextLabel.setCursor(parent.getDisplay().getSystemCursor(SWT.CURSOR_HAND));
 
 		final Label button = new Label(parent, SWT.NONE|SWT.BORDER);
-		button.setText("x");
+		button.setText("x"); //$NON-NLS-1$
 		button.setCursor(parent.getDisplay().getSystemCursor(SWT.CURSOR_HAND));
 		
 		MouseAdapter closeAdapter = new MouseAdapter() {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/Notifications.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/Notifications.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/notifications/Notifications.java	(revision 3445)
@@ -8,7 +8,7 @@
 
 public class Notifications {
 
-	final static protected File notifySendFile = new File("/usr/bin/notify-send");
+	final static protected File notifySendFile = new File("/usr/bin/notify-send"); //$NON-NLS-1$
 	/**
 	 * Display a notification, must be called within the UI thread
 	 * @param title
@@ -28,7 +28,7 @@
 	 */
 	public static void simple(Display display, String title, String message) {
 		if (notifySendFile.exists() && notifySendFile.canExecute()) {
-				String[] cmds = {"/usr/bin/notify-send", title, message, "--icon=dialog-information"};
+				String[] cmds = {"/usr/bin/notify-send", title, message, "--icon=dialog-information"}; //$NON-NLS-1$ //$NON-NLS-2$
 				try {
 					Runtime.getRuntime().exec(cmds);
 				} catch (IOException e) {
@@ -37,7 +37,7 @@
 				}
 		} else {
 			if (display == null) {
-				Log.info(title+": "+message);
+				Log.info(title+": "+message); //$NON-NLS-1$
 			} else {
 				new SimpleNotification(display, title, message).open();
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Activator.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Activator.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Activator.java	(revision 3445)
@@ -68,7 +68,7 @@
 	public void start(BundleContext context) throws Exception {
 		super.start(context);
 		
-		System.out.println("TXM ACTIVATED. ALL SYSTEMS GO!");
+		System.out.println("TXM ACTIVATED. ALL SYSTEMS GO!"); //$NON-NLS-1$
 //		try {
 //			preventBrokenTXMINI();
 //		} catch(Exception e) {
@@ -81,20 +81,20 @@
 		
 		File dataDir = new File(Platform.getInstanceLocation().getURL().getFile());
 		File txmDir = dataDir.getParentFile();
-		File TXMINI = new File(txmDir, "TXM.ini");
+		File TXMINI = new File(txmDir, "TXM.ini"); //$NON-NLS-1$
 		if (TXMINI.exists()) {
-			System.out.println("Fixing TXM.ini path="+TXMINI);
-			BufferedReader reader = IOUtils.getReader(TXMINI, "UTF-8");
+			System.out.println("Fixing TXM.ini path="+TXMINI); //$NON-NLS-1$
+			BufferedReader reader = IOUtils.getReader(TXMINI, "UTF-8"); //$NON-NLS-1$
 			String line = reader.readLine();
 			StringBuilder content = new StringBuilder();
 			boolean first = true;
 			boolean found = false;
 			while (line != null) { // skip jar lines
-				if (line.startsWith("-startup")) {found = true;}
-				else if (line.startsWith("--launcher.library")) {found = true;}
-				else if (line.contains("plugins/org.eclipse.equinox.launcher")) {found = true;}
+				if (line.startsWith("-startup")) {found = true;} //$NON-NLS-1$
+				else if (line.startsWith("--launcher.library")) {found = true;} //$NON-NLS-1$
+				else if (line.contains("plugins/org.eclipse.equinox.launcher")) {found = true;} //$NON-NLS-1$
 				else {
-					if (!first) content.append("\n");
+					if (!first) content.append("\n"); //$NON-NLS-1$
 					content.append(line);
 					first = false;
 				}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java	(revision 3445)
@@ -63,8 +63,8 @@
 			Log.fine("Update levels: alpha="+alphaMode+" beta="+betaMode); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			Version v = Activator.getDefault().getBundle().getVersion();
-			String version =  ""+v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
-			String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE)+"/"+version+"/ext";
+			String version =  ""+v.getMajor()+"."+v.getMinor()+"."+v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE)+"/"+version+"/ext"; //$NON-NLS-1$ //$NON-NLS-2$
 			
 			if (devMode) {
 				strategy.addLocation(new URI(uriBase+"/dev")); //$NON-NLS-1$
